# Class default

#### Hierarchy

- default

- Defined in fs/v1/PrivateHistory.ts:29

#####
Index

### Constructors

constructor

### Properties

crypto
depot
node

### Methods

_getRevision
_getRevisionInfo
_getRevisionInfoFromNumber
_prior
back
list
prior

## Constructors

### constructor

- new default(crypto: Crypto.Implementation, depot: Depot.Implementation, node: Node): default

- #### Parameters

  - ##### crypto: Crypto.Implementation

  - ##### depot: Depot.Implementation

  - ##### node: Node

  #### Returns default

  - Defined in fs/v1/PrivateHistory.ts:36

## Properties

### crypto

crypto: Crypto.Implementation

- Defined in fs/v1/PrivateHistory.ts:33

### depot

depot: Depot.Implementation

- Defined in fs/v1/PrivateHistory.ts:34

### `Readonly` node

node: Node

- Defined in fs/v1/PrivateHistory.ts:31

## Methods

### _getRevision

- _getRevision(revision: number): Promise<Maybe<Node>>
- `Internal`

  #### Parameters

  - ##### revision: number

  #### Returns Promise<Maybe<Node>>

  - Defined in fs/v1/PrivateHistory.ts:99

### _getRevisionInfo

- _getRevisionInfo(revision: Revision): Promise<DecryptedNode>
- `Internal`

  #### Parameters

  - ##### revision: Revision

  #### Returns Promise<DecryptedNode>

  - Defined in fs/v1/PrivateHistory.ts:111

### _getRevisionInfoFromNumber

- _getRevisionInfoFromNumber(revision: number): Promise<Maybe<DecryptedNode>>
- `Internal`

  #### Parameters

  - ##### revision: number

  #### Returns Promise<Maybe<DecryptedNode>>

  - Defined in fs/v1/PrivateHistory.ts:123

### _prior

- _prior(revision: number, timestamp: number): Promise<Maybe<Node>>
- `Internal`

  #### Parameters

  - ##### revision: number

  - ##### timestamp: number

  #### Returns Promise<Maybe<Node>>

  - Defined in fs/v1/PrivateHistory.ts:135

### back

- back(delta?: number): Promise<Maybe<Node>>

- Go back one or more versions.

  #### Parameters

  - ##### delta: number = -1

    Optional negative number to specify how far to go back

  #### Returns Promise<Maybe<Node>>

  - Defined in fs/v1/PrivateHistory.ts:47

### list

- list(amount?: number): Promise<{
  delta: number;
  timestamp: number;
  }[]>

- List earlier versions along with the timestamp they were created.

  #### Parameters

  - ##### amount: number = 5

  #### Returns Promise<{
  delta: number;
  timestamp: number;
  }[]>

  - Defined in fs/v1/PrivateHistory.ts:75

### prior

- prior(timestamp: number): Promise<Maybe<Node>>

- Get a version before a given timestamp.

  #### Parameters

  - ##### timestamp: number

    Unix timestamp in seconds

  #### Returns Promise<Maybe<Node>>

  - Defined in fs/v1/PrivateHistory.ts:64

Generated using TypeDoc